#!/usr/bin/env python
#
# piClust
#
# Created by Inuk Jung on 2020-03-14.
# Copyright (c) 2020 Inuk Jung. All rights reserved.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

import sys

infile = open(sys.argv[1], 'r')
fastafile = open(sys.argv[2], 'r')


#loading fasta file into hash
fa_dict={}

for fa in fastafile:
	fa_tokens = fa.strip().split()
	#fa_id = fa_tokens[0].split("_")[0]+"_"+fa_tokens[0].split("_")[1]
	fa_id = fa_tokens[0].strip()
	fa_dict[fa_id]=fa_tokens[1]


for line in infile.readlines():
	tokens=line.strip().split()
	if(tokens[4]=="+"): strand=0
	else: strand=16

	chr = tokens[0]
#	id = tokens[3].split("_")[0]+"_"+tokens[3].split("_")[1]
	id = tokens[3].strip()
	spos = tokens[1]
	epos = tokens[2]
#	mapq = tokens[3].split("_")[-1]
	mapq = 255
	seq = fa_dict[id]
	# print in sam format
	print("%s\t%d\t%s\t%s\t%s\tx\tx\tx\tx\t%s"%(id, strand, chr, spos, mapq, seq))
